import 'package:length_unit/dynamic_offset.dart';
import 'file:///C:/Users/kevin/StudioProjects/morphable_shape/lib/dynamic_border_radius.dart';
import 'package:length_unit/length_unit.dart';
import 'package:length_unit/dynamic_edge_insets.dart';

Length? parseLength(String? string) {
  return Length.fromJson(string);
}

DynamicOffset? parseDynamicOffset(Map<String, dynamic>? map) {
  if (map == null) return null;
  Length dx = Length.fromJson(map['dx']) ?? Length(0);
  Length dy = Length.fromJson(map['dy']) ?? Length(0);
  return DynamicOffset(dx, dy);
}


DynamicEdgeInsets? parseDynamicEdgeInsets(Map<String, dynamic>? map) {
  if (map == null) return null;
  Length? top = parseLength(map['top']);
  Length? bottom = parseLength(map['bottom']);
  Length? left = parseLength(map['left']);
  Length? right = parseLength(map['right']);
  return DynamicEdgeInsets.only(
    top: top,
    bottom: bottom,
    left: left,
    right: right,
  );
}
